Main Page Widgets Namespaces Book

# Gtk::CheckMenuItem Class Reference
[Widgets, Menu classes]

A menu item that maintains the state of a boolean value in addition to a Gtk::MenuItem's usual role in activating application code. More...

Inheritance diagram for Gtk::CheckMenuItem:

[legend]
List of all members.

## Public Methods

virtual | ~CheckMenuItem ()
GtkCheckMenuItem* | gobj ()
const GtkCheckMenuItem* | gobj () const
| CheckMenuItem ()
| CheckMenuItem (const Glib::ustring& label, bool mnemonic=false)
void | set_active (bool state=true)
bool | get_active () const
| Returns whether the check menu item is active.
void | toggled ()
void | set_inconsistent (bool setting=true)
| If the user has selected a range of elements (such as some text or spreadsheet cells) that are affected by a boolean setting, and the current values in that range are inconsistent, you may want to display the check in an "in between" state.
bool | get_inconsistent () const
| Retrieves the value set by set_inconsistent().
Glib::SignalProxy0<void> | signal_toggled ()
Glib::PropertyProxy<bool> | property_active ()
| Triggered when the item is redrawn (e.g.after being toggled) Overload this signal if you want to implement your own check item look.
Glib::PropertyProxy<bool> | property_inconsistent ()

## Protected Methods

virtual void | draw_indicator_vfunc (GdkRectangle* area)
virtual void | on_toggled ()

## Related Functions

(Note that these are not member functions.)
Gtk::CheckMenuItem* | wrap (GtkCheckMenuItem* object, bool take_copy=false)

## Detailed Description

A menu item that maintains the state of a boolean value in addition to a Gtk::MenuItem's usual role in activating application code.

A check box indicating the state of the boolean value is displayed at the left side of the Gtk::MenuItem. Activating the Gtk::MenuItem toggles the value.

## Constructor & Destructor Documentation

virtual Gtk::CheckMenuItem::~CheckMenuItem | ( |  | ) | `[virtual]`

Gtk::CheckMenuItem::CheckMenuItem | ( |  | ) |

Gtk::CheckMenuItem::CheckMenuItem | ( | const Glib::ustring& | label,
|  | bool | mnemonic = false
| ) | `[explicit]`

## Member Function Documentation

virtual void Gtk::CheckMenuItem::draw_indicator_vfunc | ( | GdkRectangle* | area | ) | `[protected, virtual]`

bool Gtk::CheckMenuItem::get_active | ( |  | ) |

Returns whether the check menu item is active.

See set_active().

Returns:
  `true` if the menu item is checked.

bool Gtk::CheckMenuItem::get_inconsistent | ( |  | ) |

Retrieves the value set by set_inconsistent().

Returns:
  `true` if inconsistent.

const GtkCheckMenuItem* Gtk::CheckMenuItem::gobj | ( |  | ) | const`[inline]`

| Reimplemented from Gtk::MenuItem. Reimplemented in Gtk::RadioMenuItem.

GtkCheckMenuItem* Gtk::CheckMenuItem::gobj | ( |  | ) | `[inline]`

| Reimplemented from Gtk::MenuItem. Reimplemented in Gtk::RadioMenuItem.

virtual void Gtk::CheckMenuItem::on_toggled | ( |  | ) | `[protected, virtual]`

Glib::PropertyProxy<bool> Gtk::CheckMenuItem::property_active | ( |  | ) |

| Triggered when the item is redrawn (e.g.after being toggled) Overload this signal if you want to implement your own check item look. Otherwise, you most likely don't care about it. The GdkRectangle specifies the area of the widget which will get redrawn.

Glib::PropertyProxy<bool> Gtk::CheckMenuItem::property_inconsistent | ( |  | ) |

void Gtk::CheckMenuItem::set_active | ( | bool | state = true | ) |

void Gtk::CheckMenuItem::set_inconsistent | ( | bool | setting = true | ) |

If the user has selected a range of elements (such as some text or spreadsheet cells) that are affected by a boolean setting, and the current values in that range are inconsistent, you may want to display the check in an "in between" state.

This function turns on "in between" display. Normally you would turn off the inconsistent state again if the user explicitly selects a setting. This has to be done manually, set_inconsistent() only affects visual appearance, it doesn't affect the semantics of the widget.

Parameters:

  setting | `true` to display an "inconsistent" third state check.

Glib::SignalProxy0<void> Gtk::CheckMenuItem::signal_toggled | ( |  | ) |

Prototype:
  `void toggled()`

void Gtk::CheckMenuItem::toggled | ( |  | ) |

## Friends And Related Function Documentation

Gtk::CheckMenuItem* wrap | ( | GtkCheckMenuItem* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- checkmenuitem.h